"use strict";
/** @file Alternative Entry point for Cheerio, excluding parse5. */
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
var tslib_1 = require("tslib");
/**
 * Types used in signatures of Cheerio methods.
 *
 * @category Cheerio
 */
tslib_1.__exportStar(require("./types"), exports);
var load_1 = require("./load");
var parse_1 = require("./parse");
var dom_serializer_1 = tslib_1.__importDefault(require("dom-serializer"));
var htmlparser2_1 = require("htmlparser2");
/**
 * Create a querying function, bound to a document created from the provided markup.
 *
 * @param content - Markup to be loaded.
 * @param options - Options for the created instance.
 * @param isDocument - Always `false` here, as we are always using `htmlparser2`.
 * @returns The loaded document.
 * @see {@link https://cheerio.js.org#loading} for additional usage information.
 */
exports.load = load_1.getLoad(parse_1.getParse(htmlparser2_1.parseDocument), dom_serializer_1.default);
